package tech.nevets.modbot.api;

import net.dv8tion.jda.api.JDA;
import tech.nevets.modbot.api.commands.CommandRegistry;

public interface BotModule {

    default void onPreEnable() {}

    CommandRegistry loadCommandRegistry();

    void onEnable(JDA jda);

    void onDisable();
}
